com.r3corda.node.services.api / Checkpoint

# Checkpoint

`data class Checkpoint`

### Constructors

<init> | `Checkpoint(serialisedFiber: SerializedBytes<out ProtocolStateMachine<*>>, awaitingTopic: String, awaitingObjectOfType: String)`

### Properties

awaitingObjectOfType | `val awaitingObjectOfType: String`
awaitingTopic | `val awaitingTopic: String`
serialisedFiber | `val serialisedFiber: SerializedBytes<out ProtocolStateMachine<*>>`

### Functions

toString | `fun toString(): String`